<?php

namespace App\Repositories;

use App\Repositories\Core\Auth\Users as parentUsers;
use App\Repositories\Shop\SaleChannels;

class Users extends parentUsers
{
    public static function getInfo($id = false)
    {
        $data = parent::getInfo($id);
        $sale_channel_default = SaleChannels::getDefault();
        $data['sale_channel'] = $sale_channel_default ? $sale_channel_default->toArray() : false;

        return $data;
    }
}

